Submit a request

How Can We Help?

How to install plugins for Pyramix 10

As we focus on supporting the latest version of Pyramix, the recent versions of our products do not support Pyramix 10 anymore.

In FLUX:: Center, keep using the ‘Pyramix 10/11’ install option, then install each product, selecting the version in the list below.

  • Alchemist V3.5.25.44344
  • Other plugins  V3.5.29.46205
  • FLUX:: Analyzer Essential V1.10.4.46205 & SampleGrabber V3.5.29.46205 

Was this article helpful?
How can we improve this article?
Please submit the reason for your vote so that we can improve the article.
Previous How To download for installation on AVID Venue consoles using FLUX:: Center
Next How To Install FLUX:: Session Analyzer / FLUX:: Analyzer Essential in FLUX:: Center
Table of Contents